Subject: Re: 12.1.1; document class completion reports error if beamer is chosen

From: jfbu <[email-masked]>
Date: Sat, 3 Aug 2019 15:02:31 +0200

Le 3 août 2019 à 14:34, jfbu <[email-masked]> a écrit :

> Hi,
> 
> Steps to reproduce:
> 
> 1. Find a new empty file in new buffer
> 
> 2. C-c C-e and choose document
> 
> 3. Then enter beamer in the mini-buffer as document class
> 
> An error is raised with message
> 
> Symbol’s value as variable is void: LaTeX-hyperref-package-options-list
> 
> 
> I don't seem to have any reference to this variable in my configuration files,
> 
> My 12.1.1 has some patches from dev repo but possibly not all.
> 
> Sorry if this error does not show on genuine install but I don't have any time
> to investigate.

I can reproduce error with fresh Elpa installed pristine 12.1.2 release

(by the way, https://www.gnu.org/software/auctex/ isn't informative on current release)

my custom.el has no reference to this variable, nor my other stuff in emacs
personal configuration

Best,

Jean-François